summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/snapshot49
1 files changed, 11 insertions, 38 deletions
diff --git a/bin/snapshot b/bin/snapshot
index 081755d4..68cad59 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -44,7 +44,7 @@ DISKUSAGE()
# the snapshots-${sw}-overrides file.
EXTRACT()
{
- echo "Error: ${SWVERSION} is in svn repository - does not need extraction."
+ echo "Error: ${SWVERSION} is in source repository - does not need extraction."
}
# Standard procedure for checking out or updating source code from an hdfgroup
@@ -75,37 +75,7 @@ SOURCE_CHECKOUT()
fi ) || exit 1
fi
else
- SVNROOT=https://svn.hdfgroup.org
- if [ -n "$AUTOGEN" ]; then
- if [ ! -d $BASEDIR/current_src ]; then
- mkdir -p $BASEDIR/current_src
- echo "Checking out from $SVNROOT/${SVNVERSION} into $BASEDIR/current_src"
- (cd $BASEDIR; svn co ${SVNROOT}/${SVNVERSION} ./current_src ) || exit 1
- else
- cd $BASEDIR/current_src;
- svn -q update
- echo "Updating $BASEDIR/current_src from svn."
- fi
- elif [ ! -d $BASEDIR/current ]; then
- mkdir $BASEDIR/current
- echo "Checking out from $SVNROOT/${SVNVERSION} into $BASEDIR/current"
- # Check out the current version from source repository.
- (cd $BASEDIR; svn co ${SVNROOT}/${SVNVERSION} current ) || exit 1
- else
- cd $BASEDIR/current; svn info
- # "svn info" returns 0 if $BASEDIR/current was previously checked out from an
- # svn repository - i.e. it contains .svn directories and files. If so it can
- # be updated to the current version. If not it can be checked out from the
- # repository.
- if [ "$?" = 0 ];then
- # $BASEDIR/current was checked out from an svn repository, so update
- # to the current version.
- svn -q update
- echo "Updating $BASEDIR/current from svn."
- else
- echo "Warning! Source directory ("current") is not checked out from svn."
- fi
- fi
+ echo "Warning! Source directory ("current") is not checked out from git."
fi
}
@@ -154,7 +124,11 @@ CHECKINSTALL()
# Safety measure to avoid unintended checkins to other repositories.
COMMITSNAPSHOT()
{
+<<<<<<< HEAD
+ echo "original hdf5 script committed code changes back into git."
+=======
echo "original hdf5 script checked code back into svn."
+>>>>>>> f37f35245d10afc251aa2398b7cfe186ea927c78
}
DISPLAYUSAGE()
@@ -529,11 +503,6 @@ CURRENT=${BASEDIR}/current
PREVIOUS=${BASEDIR}/previous
ReleaseDir=${ReleaseDir:=${BASEDIR}/${ReleaseDir_default}}
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
-if [ "${SWVERSION}" != "${HDFREPOS}" ]; then
- SVNVERSION="$HDFREPOS/$SWVERSION"
-else
- SVNVERSION="$HDFREPOS/trunk" # use the default (trunk) version
-fi
# Try finding a version of diff that supports the -I option too.
DIFF=diff
@@ -547,7 +516,11 @@ done
#=============================
if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
TIMESTAMP "checkout"
+<<<<<<< HEAD
+ # ${BASEDIR}/bin is now updated from git by EveningMaint or DailyMaint
+=======
# ${BASEDIR}/bin is now updated from svn by EveningMaint or DailyMaint
+>>>>>>> f37f35245d10afc251aa2398b7cfe186ea927c78
# to avoid updating the scripts in ${BASEDIR}/bin while they are running.
if [ -z "$AUTOGEN" ]; then
@@ -826,7 +799,7 @@ if [ "$cmd" = "all" -o -n "$cmdrel" ]; then
# Replace the previous version with the current version.
# Should check if the errcode of the release process but there
- # are other failures after release was done (e.g. h5vers or svn failures)
+ # are other failures after release was done (e.g. h5vers or git failures)
# that should allow the replacement to occure.
rm -rf ${PREVIOUS}
mv ${CURRENT} ${PREVIOUS}